<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ForwardedAIBotMessageInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $botName = null;
    


    protected $botJid = null;
    


    protected $creatorName = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getBotName()
    {
        return isset($this->botName) ? $this->botName : '';
    }

    public function hasBotName()
    {
        return isset($this->botName);
    }

    public function clearBotName()
    {
        unset($this->botName);
    }

    




    public function setBotName($var)
    {
        GPBUtil::checkString($var, True);
        $this->botName = $var;

        return $this;
    }

    



    public function getBotJid()
    {
        return isset($this->botJid) ? $this->botJid : '';
    }

    public function hasBotJid()
    {
        return isset($this->botJid);
    }

    public function clearBotJid()
    {
        unset($this->botJid);
    }

    




    public function setBotJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->botJid = $var;

        return $this;
    }

    



    public function getCreatorName()
    {
        return isset($this->creatorName) ? $this->creatorName : '';
    }

    public function hasCreatorName()
    {
        return isset($this->creatorName);
    }

    public function clearCreatorName()
    {
        unset($this->creatorName);
    }

    




    public function setCreatorName($var)
    {
        GPBUtil::checkString($var, True);
        $this->creatorName = $var;

        return $this;
    }

}

